# Uses of Interface
javassist.CodeConverter.ArrayAccessReplacementMethodNames

Packages that use CodeConverter.ArrayAccessReplacementMethodNames
Package
Description
javassist
The Javassist Core API.

## Uses of CodeConverter.ArrayAccessReplacementMethodNames in javassist

Classes in javassist that implement CodeConverter.ArrayAccessReplacementMethodNames
Modifier and Type
Class
Description
`static class`
`CodeConverter.DefaultArrayAccessReplacementMethodNames`
Default implementation of the `ArrayAccessReplacementMethodNames` interface giving default values for method names to be used for replacing accesses to array elements.
Methods in javassist with parameters of type CodeConverter.ArrayAccessReplacementMethodNames
Modifier and Type
Method
Description
`void`
CodeConverter.`replaceArrayAccess(CtClass calledClass, CodeConverter.ArrayAccessReplacementMethodNames names)`
Modify a method body, so that ALL accesses to an array are replaced with calls to static methods within another class.